## ufraw 0.19.2

=== debian/changelog ===
ufraw (0.19.2-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1159700)
  * Drop patch against ufraw_conf.c, now fixed upstream.
  * d/rules: 
    - build with autoreconf.
    - remove unused --enable-maintainer-mode and --with-exiv2
      configure options.
  * d/control: build-depends on dh-autoreconf.
  * d/clean: add generated files ufraw.1 and icons/ufraw_icons.h.
  * d/copyright: rewritten in machine-readable format.
  * Ubuntu: Patch mkinstalldirs to match version in automake 1.11.6.

 -- Graham Inggs <graham@nerve.org.za>  Mon, 25 Mar 2013 11:52:48 +0200

ufraw (0.19.1-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1153028)
  * Switch to dpkg-source 3.0 (quilt) format.
  * d/rules: rewritten using dh_auto_configure.
  * d/control:
    - set debhelper compatibility to v9.
    - switch to Standards-Version: 3.9.4
    - build-depends on libjpeg-dev instead of libjpeg8-dev.
    - build-depends on liblensfun-dev (>= 0.2.5) instead of (> 0.2.5).
    - move homepage to source section.
  * Drop patch against ufraw.pod, now fixed upstream.
  * Move patch against ufraw_conf.c to d/patches.
  * Wrap-and-sort.
  * Create d/watch.

 -- Graham Inggs <graham@nerve.org.za>  Sat, 09 Mar 2013 20:40:52 +0200

ufraw (0.18-2ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev | libtiff-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Sep 2012 11:34:31 +0100

ufraw (0.18-2) unstable; urgency=low

  * Enable lensfun support. (closes: #556277)
  * Fix syntax error in POD file. (closes: #632444)
  * Build with libjpeg8.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 19 Jun 2012 10:26:51 -0400

ufraw (0.18-1) unstable; urgency=low

  * New upstream version. (closes: #583879)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 25 Feb 2011 18:48:44 -0500

ufraw (0.16-3) unstable; urgency=low

  * ufraw-batch: Replaces: ufraw. (closes: #583751)
  * ufraw: Depend on right version of ufraw-batch.

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 02 Jun 2010 07:24:19 -0400

ufraw (0.16-2) unstable; urgency=low

  * Split ufraw-batch from ufraw package, do reduce the default
    install. (closes: #579160)
  * Build with --enable-contrast.  Feature has been present for over a
    year -- surely it's no longer experimental... (closes: #504313)
  * Remove extension from icon, and other minor changes to the desktop
    file.  Thanks to Michal Čihař and Fabian Greffrath. (closes: #553983)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 27 May 2010 18:59:18 -0400

ufraw (0.16-1) unstable; urgency=low

  * New upstream version. (closes: #551662)
    * Builds against eglibc 2.10. (closes: #549416)
    * Initial implementation of 100% zoom. (closes: #540651)
    * Fix documentation bugs. (closes: #530589, #531567)
    * Fix segfault in nikon-curve. (closes: #533125)
  * Build with better optimization. (closes: 544363)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 18 Oct 2009 16:32:17 -0400

ufraw (0.15-2) unstable; urgency=low

  * Upload to unstable.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 16 Apr 2009 21:40:08 -0400

ufraw (0.15-1) experimental; urgency=low

  * New upstream version. (closes: #510483)
    * Canon 450D is supported. (closes: #504539)
    * Includes Canon XSi white balance presets. (closes: #509165)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 03 Jan 2009 18:42:12 -0500

ufraw (0.14.1-3) experimental; urgency=low

  * Really drop upper limit on gimp dependency. (closes: #504259)
  * Default to using gimp rather than gimp-remote, since gimp 2.4 already
    has the -remote functionality. (closes: 504260)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 20 Dec 2008 19:24:12 -0500

ufraw (0.14.1-2) experimental; urgency=low

  * Really drop gconf2 dependency. (closes: #456233)
  * Drop upper limit on gimp dependency. (closes: #504259)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 14 Nov 2008 23:41:35 -0500

ufraw (0.14.1-1) experimental; urgency=low

  * New upstream version. (closes: #502398)
    * ufraw-batch returns non-zero on error. (closes: #478570)
    * updated man page. (closes: #478582)
    * uses newer dcraw. (closes: #499665)
    * not confused any more by hugin TIFFs. (closes: #500457)
  * Drop dependency on gconf2. (closes: #456233)
  * Move homepage to homepage field.
  * Various cleanups to debian/rules clean target.
  * Bump standards version to 3.8.0 (no other changes needed).

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 28 Oct 2008 19:36:35 -0400

ufraw (0.13-1) unstable; urgency=low

  * New upstream version. (close: #451084)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 11 Dec 2007 13:02:32 -0500

ufraw (0.12.1-1) unstable; urgency=low

  * New upstream version. (closes: #436179)
    * add build-depends on zlib, libbz2, and libgtkimageview
  * Update dependency -- works with gimp 2.4. (closes: #440477)
  * Add fix for newer libgtkimageview. (upstream bug #1785426)

 -- Hubert Chan <uhoreg@debian.org>  Thu, 13 Sep 2007 03:45:36 -0400

ufraw (0.11-2) unstable; urgency=low

  * Use pkg-config instead of exiv2-config. (closes: #427385)
  * Update to latest exiv2.

 -- Hubert Chan <uhoreg@debian.org>  Tue, 19 Jun 2007 21:09:48 -0400

ufraw (0.11-1) unstable; urgency=low

  * New upstream release.
  * Use upstream's install process to properly install everything.

 -- Hubert Chan <uhoreg@debian.org>  Wed,  4 Apr 2007 13:06:52 -0400

ufraw (0.10-1) unstable; urgency=low

  * New upstream release.
  * Update maintainer address.
  * Install mime info.

 -- Hubert Chan <uhoreg@debian.org>  Sun, 29 Oct 2006 15:16:29 -0500

ufraw (0.9.1-2) unstable; urgency=low

  * Rebuild against new libexiv2.
    - libexiv2 package is now properly versioned. (closes: #387348)

 -- Hubert Chan <hubert@uhoreg.ca>  Tue, 26 Sep 2006 01:43:08 -0400

ufraw (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Compile nikon-curve.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 16 Aug 2006 21:16:11 -0600

ufraw (0.9-1) unstable; urgency=low

  * New upstream release.

