=== debian/control ===
Source: ufraw
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libbz2-dev,
               libexiv2-dev (>= 0.14),
               libgimp2.0-dev (>= 2.2),
               libgtkimageview-dev,
               libjpeg-dev,
               liblcms-dev,
               liblensfun-dev (>= 0.2.5),
               libtiff-dev,
               perl,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://ufraw.sourceforge.net/

Package: ufraw
Architecture: any
Depends: desktop-file-utils,
         ufraw-batch (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gimp-ufraw
Description: standalone importer for raw camera images
 This is a standalone tool to import raw data from high-end digital cameras.
 .
 The Unidentified Flying Raw (UFRaw) is a utility for converting and
 manipulating raw images from digital cameras. It can be used as a
 stand-alone tool or as a Gimp plug-in, and images can be batch
 processed using the command-line interface. UFRaw reads most existing
 raw formats using Dave Coffin's raw conversion utility DCRaw, and it
 supports basic color management using Little CMS, allowing the user to
 apply color profiles.

Package: ufraw-batch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ufraw
Replaces: ufraw (<< 0.16-2)
Description: batch importer for raw camera images
 This is a command-line batch tool to import raw data from high-end digital
 cameras.
 .
 The Unidentified Flying Raw (UFRaw) is a utility for converting and
 manipulating raw images from digital cameras. It can be used as a
 stand-alone tool or as a Gimp plug-in, and images can be batch
 processed using the command-line interface. UFRaw reads most existing
 raw formats using Dave Coffin's raw conversion utility DCRaw, and it
 supports basic color management using Little CMS, allowing the user to
 apply color profiles.

Package: gimp-ufraw
Architecture: any
Depends: gimp (>= 2.2), ${misc:Depends}, ${shlibs:Depends}
Conflicts: gimp-dcraw
Suggests: ufraw
Description: gimp importer for raw camera images
 This is a graphical tool to import raw data from high-end digital cameras
 into the Gimp.
 .
 The Unidentified Flying Raw (UFRaw) is a utility for converting and
 manipulating raw images from digital cameras. It can be used as a
 stand-alone tool or as a Gimp plug-in, and images can be batch
 processed using the command-line interface. UFRaw reads most existing
 raw formats using Dave Coffin's raw conversion utility DCRaw, and it
 supports basic color management using Little CMS, allowing the user to
 apply color profiles.
