=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--libexecdir=/usr/lib/ \
		--enable-extras \
		--enable-mime \
		--enable-contrast

#	copy the ufraw man page to ufraw-batch,	the ufraw package
#	can get a symlink to it as it depends on ufraw-batch
override_dh_installman:
	cp ufraw.1 debian/ufraw-batch.1
	dh_installman
