=== debian/watch ===
version=3
http://sf.net/ufraw/ufraw-(.+)\.tar\.gz
