## ufraw 0.22

=== debian/changelog ===
ufraw (0.22-3) unstable; urgency=medium

  * Remove gconf dependency again. (Closes: #892707)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 21 Mar 2018 14:13:29 -0400

ufraw (0.22-2) unstable; urgency=medium

  * Add patch to fix compilation with GCC 7. (Closes: #853692)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 20 Oct 2017 21:22:20 -0400

ufraw (0.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix signedness of src[]. (Closes: #856227).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 27 Feb 2017 14:31:26 +0100

ufraw (0.22-1) unstable; urgency=low

  * New upstream release (Closes: #803673).
  * debian/*: modernize packaging (thanks tobi)
    * enables parallel building (Closes: #821277)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 13 May 2016 09:11:42 -0400

ufraw (0.20-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-amd64 -- the compiler -ffast-math
   and -fomit-frame-pointer are causing this. (Closes: #821789)
  * Making build verbose (Closes: #822752). Maybe this gives a hint
    why it fails to build on alpha.

 -- Tobias Frost <tobi@debian.org>  Fri, 06 May 2016 14:21:18 +0200

ufraw (0.20-4) unstable; urgency=high

  * dcraw.cc: Apply fix from
    https://github.com/LibRaw/LibRaw/commit/89d065424f09b788f443734d44857289489ca9e2
    to prevent buffer overflow in smal_decode_segment (Closes: #818882,
    CVE-2015-8366)

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 18 Apr 2016 10:49:31 -0400

ufraw (0.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dh_desktop call (NOOP since 2009) to fix the FTBFS seen
    during a binNMU (Closes: #817307)

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Apr 2016 14:25:38 +0200

ufraw (0.20-3) unstable; urgency=low

  * dcraw.cc: Apply patch from
    https://bugzilla.redhat.com/attachment.cgi?id=1027072&action=diff to
    prevent buffer overflow in ljpeg_start (Closes: #786783, CVE-2015-3885)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 26 May 2015 14:44:00 -0400

ufraw (0.20-2) unstable; urgency=low

  * ufraw-gimp.c: Apply upstream patch: Only use
    gimp_register_magic_load_handler() with Gimp 2.9+.
    http://ufraw.cvs.sourceforge.net/viewvc/ufraw/ufraw/ufraw-gimp.c?r1=1.82&r2=1.83
    (Closes: #772102)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 05 Dec 2014 10:23:28 -0500

ufraw (0.20-1) unstable; urgency=low

  * New upstream version.
    * Supports Fuji X-Trans filters (closes: #729026)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 14 Oct 2014 10:27:30 -0400

ufraw (0.19.2-3.1) unstable; urgency=medium

  * Non-maintainer upload (acked by maintainer)
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763496)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 17:07:29 +0200

ufraw (0.19.2-3) unstable; urgency=low

  * debian/rules: run dh-autoreconf to update config.{sub, guess} and
    {libtool, aclocal}.m4  Patch by Breno Leitao. (closes: #756313)
  * debian/copyright: add copyright info and update to GPLv2+
  * debian/control: depend on lcms2
  * Apply patches from upstream CVS for lcms2 support. (closes: #757823)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 21 Aug 2014 17:55:45 -0400

ufraw (0.19.2-2) unstable; urgency=low

  * debian/control: fix deprecated version dependency format
  * dcraw.cc: data check patch from libraw
    (closes: #721234, CVE-2013-1438)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 01 Sep 2013 00:19:30 -0400

ufraw (0.19.2-1) unstable; urgency=low

  * New upstream version. (closes: #702148)
    * Fixes liblensfun crash. (closes: #708172)
  * Build with libtiff5.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 02 Jul 2013 09:12:07 -0400
