=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: ufraw
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hubert Chathi <uhoreg@debian.org>
+Maintainer: Hubert Chathi <uhoreg@debian.org>
 Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libbz2-dev,
-               libexiv2-dev (>= 0.14),
-               libgimp2.0-dev (>= 2.2),
-               libgtkimageview-dev,
-               libjpeg-dev,
-               liblcms-dev,
-               liblensfun-dev (>= 0.2.5),
-               libtiff-dev,
-               perl,
-               zlib1g-dev
-Standards-Version: 3.9.4
+   libgimp2.0-dev,
+   libjpeg-dev,
+   liblcms2-dev,
+   libtiff-dev | libtiff5-dev,
+   libexiv2-dev,
+   perl,
+   libbz2-dev,
+   zlib1g-dev,
+   libgtkimageview-dev,
+   liblensfun-dev (>= 0.2.5),
+   dh-autoreconf
+Standards-Version: 3.9.8
 Homepage: http://ufraw.sourceforge.net/
 
 Package: ufraw
 Architecture: any
-Depends: desktop-file-utils,
-         ufraw-batch (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends}, desktop-file-utils, ufraw-batch (= ${binary:Version}), ${misc:Depends}
 Suggests: gimp-ufraw
 Description: standalone importer for raw camera images
  This is a standalone tool to import raw data from high-end digital cameras.
@@ -38,9 +34,10 @@
 
 Package: ufraw-batch
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ufraw
 Replaces: ufraw (<< 0.16-2)
+Breaks: ufraw (<< 0.16-2)
 Description: batch importer for raw camera images
  This is a command-line batch tool to import raw data from high-end digital
  cameras.
@@ -55,8 +52,8 @@
 
 Package: gimp-ufraw
 Architecture: any
-Depends: gimp (>= 2.2), ${misc:Depends}, ${shlibs:Depends}
-Conflicts: gimp-dcraw
+Depends: ${shlibs:Depends}, gimp (>= 2.2), ${misc:Depends}
+Breaks: gimp-dcraw
 Suggests: ufraw
 Description: gimp importer for raw camera images
  This is a graphical tool to import raw data from high-end digital cameras
